#ifndef ENGINE_H
#define ENGINE_H

#include "input/Buttons.h"
#include "input/TextInput.h"
#include "utils/Clock.h"
#include "utils/Size.h"

namespace Engine {
    bool init();
    void run();

    void setTextInput(TextInput* input);
    bool isActiveTextInput(TextInput* input);

    Buttons& getButtons();
    const Size& getSize();
    const Clock& getFrameClock();
    const Clock& getTickClock();
}

#endif